strtolk
Prev | Orchestra Opcodes and Operators | Next

## strtolk

strtolk — Converts a string to a signed integer (k-rate).

## Description

Convert a string to a signed integer value at i- or k-rate. It is also possible to pass an strset index or a string p-field from the score instead of a string argument. If the string cannot be parsed as an integer number, an init or perf error occurs and the instrument is deactivated.

| Note
If a k-rate index variable is used, it should be valid at i-time as well.

## Syntax

    kr strtolk Sstr

    kr strtolk kndx

strtolk can parse numbers in decimal, octal (prefixed by 0), and hexadecimal (with a prefix of 0x) format.

## Performance

kr -- Value of string as signed integer.

Sstr -- String to convert.

indx -- index of string set by strset

## See Also

String Conversion Opcodes

## Credits

Author: Istvan Varga
2005

Prev | Up | Next
strtol | Home | strupper